Get a list of all roles

Requires the ROLE.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.
namestringOptional
The name of the role.
include_child_rolesbooleanOptional
Returned the child roles for this role, max depth of 2 is possible.
only_childless_rolesbooleanOptional
Return only roles that have no child roles of their own.

Response

OK
datalist of objects
limitinteger or null
pageinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error